Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 10440097: Move socket API from experimental to dev channel and remove some dead code (Closed)

Created:
6 years, 8 months ago by Peng
Modified:
6 years, 6 months ago
CC:
chromium-reviews, Aaron Boodman, mihaip-chromium-reviews_chromium.org, bryeung
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Move socket API from experimental to dev channel and remove some dead code. BUG=130379 TEST=browser_tests --gtest_filter=SocketApiTest.* Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=148819

Patch Set 1 #

Patch Set 2 : Move to dev channel #

Total comments: 2

Patch Set 3 : Update #

Total comments: 5

Patch Set 4 : Update #

Unified diffs Side-by-side diffs Delta from patch set Stats (+198 lines, -4776 lines) Patch
M chrome/browser/extensions/api/api_resource_event_notifier.h View 1 2 3 2 chunks +0 lines, -13 lines 0 comments Download
M chrome/browser/extensions/api/api_resource_event_notifier.cc View 1 2 3 chunks +0 lines, -39 lines 0 comments Download
M chrome/browser/extensions/api/socket/socket_api.h View 1 14 chunks +17 lines, -17 lines 0 comments Download
M chrome/browser/extensions/api/socket/socket_api.cc View 1 5 chunks +5 lines, -5 lines 0 comments Download
M chrome/common/extensions/api/_permission_features.json View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/extensions/api/api.gyp View 1 1 chunk +1 line, -1 line 0 comments Download
D chrome/common/extensions/api/experimental_socket.idl View 1 1 chunk +0 lines, -167 lines 0 comments Download
A + chrome/common/extensions/api/socket.idl View 1 2 2 chunks +1 line, -4 lines 0 comments Download
M chrome/common/extensions/docs/apps/api_index.html View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/extensions/docs/apps/experimental.html View 1 2 1 chunk +0 lines, -1 line 0 comments Download
D chrome/common/extensions/docs/apps/experimental.socket.html View 1 2 1 chunk +0 lines, -2022 lines 0 comments Download
A + chrome/common/extensions/docs/apps/socket.html View 1 2 28 chunks +51 lines, -43 lines 0 comments Download
M chrome/common/extensions/docs/extensions/experimental.html View 1 2 1 chunk +0 lines, -1 line 0 comments Download
D chrome/common/extensions/docs/extensions/experimental.socket.html View 1 2 1 chunk +0 lines, -2393 lines 0 comments Download
M chrome/common/extensions/docs/extensions/samples.html View 1 2 3 chunks +45 lines, -0 lines 0 comments Download
A + chrome/common/extensions/docs/extensions/socket.html View 1 2 38 chunks +61 lines, -53 lines 0 comments Download
M chrome/common/extensions/docs/js/api_page_generator.js View 1 2 2 chunks +1 line, -1 line 0 comments Download
M chrome/common/extensions/docs/samples.json View 1 2 2 chunks +11 lines, -11 lines 0 comments Download
D chrome/common/extensions/docs/server2/templates/public/experimental_socket.html View 1 2 1 chunk +0 lines, -1 line 0 comments Download
A chrome/common/extensions/docs/server2/templates/public/socket.html View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/data/extensions/api_test/socket/api/background.js View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/data/extensions/api_test/socket/api/manifest.json View 1 2 1 chunk +1 line, -2 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
Peng
I think current socket API is OK for moving out of experimental. Please review this ...
6 years, 8 months ago (2012-06-01 15:40:09 UTC) #1
miket_OOO
On 2012/06/01 15:40:09, Peng wrote: > I think current socket API is OK for moving ...
6 years, 8 months ago (2012-06-01 16:42:41 UTC) #2
Peng
Hi Mike, I moved socket API from experimental to dev channel. Could you please review ...
6 years, 6 months ago (2012-07-27 15:05:19 UTC) #3
miket_OOO
On 2012/07/27 15:05:19, Peng wrote: > Hi Mike, I moved socket API from experimental to ...
6 years, 6 months ago (2012-07-27 16:37:53 UTC) #4
miket_OOO
http://codereview.chromium.org/10440097/diff/4001/chrome/common/extensions/api/socket.idl File chrome/common/extensions/api/socket.idl (right): http://codereview.chromium.org/10440097/diff/4001/chrome/common/extensions/api/socket.idl#newcode17 chrome/common/extensions/api/socket.idl:17: [nodoc] long? dummyValue; Would you please see whether we ...
6 years, 6 months ago (2012-07-27 16:37:59 UTC) #5
miket_OOO
One more thing I forgot. When you run the tests you'll discover that all apps ...
6 years, 6 months ago (2012-07-27 16:44:05 UTC) #6
Peng
Fixed issues and updated document. Please review it. Thanks. http://codereview.chromium.org/10440097/diff/4001/chrome/common/extensions/api/socket.idl File chrome/common/extensions/api/socket.idl (right): http://codereview.chromium.org/10440097/diff/4001/chrome/common/extensions/api/socket.idl#newcode17 chrome/common/extensions/api/socket.idl:17: ...
6 years, 6 months ago (2012-07-27 19:08:42 UTC) #7
Peng
http://codereview.chromium.org/10440097/diff/9001/chrome/test/data/extensions/api_test/socket/api/manifest.json File chrome/test/data/extensions/api_test/socket/api/manifest.json (left): http://codereview.chromium.org/10440097/diff/9001/chrome/test/data/extensions/api_test/socket/api/manifest.json#oldcode13 chrome/test/data/extensions/api_test/socket/api/manifest.json:13: "socket" I run browser test, no error happened. It ...
6 years, 6 months ago (2012-07-27 19:09:52 UTC) #8
miket_OOO
LGTM after removing the #if 0. http://codereview.chromium.org/10440097/diff/9001/chrome/browser/extensions/api/api_resource_event_notifier.h File chrome/browser/extensions/api/api_resource_event_notifier.h (right): http://codereview.chromium.org/10440097/diff/9001/chrome/browser/extensions/api/api_resource_event_notifier.h#newcode41 chrome/browser/extensions/api/api_resource_event_notifier.h:41: #if 0 Just ...
6 years, 6 months ago (2012-07-27 19:21:24 UTC) #9
Peng
http://codereview.chromium.org/10440097/diff/9001/chrome/browser/extensions/api/api_resource_event_notifier.h File chrome/browser/extensions/api/api_resource_event_notifier.h (right): http://codereview.chromium.org/10440097/diff/9001/chrome/browser/extensions/api/api_resource_event_notifier.h#newcode41 chrome/browser/extensions/api/api_resource_event_notifier.h:41: #if 0 On 2012/07/27 19:21:24, miket wrote: > Just ...
6 years, 6 months ago (2012-07-27 19:31:41 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/penghuang@chromium.org/10440097/5010
6 years, 6 months ago (2012-07-27 19:32:02 UTC) #11
commit-bot: I haz the power
6 years, 6 months ago (2012-07-27 21:38:14 UTC) #12
Change committed as 148819

Powered by Google App Engine
This is Rietveld 408576698